## vp8dec vp8dec — Decode VP8 video streams |

## Synopsis

                        GstVP8Dec;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseVideoCodec
                         +----GstBaseVideoDecoder
                               +----GstVP8Dec

## Properties

      "deblocking-level"         guint                 : Read / Write
      "noise-level"              guint                 : Read / Write
      "post-processing"          gboolean              : Read / Write
      "post-processing-flags"    GstVP8DecPostProcessingFlags  : Read / Write

## Description

This element decodes VP8 streams into raw video. VP8 is a royalty-free video codec maintained by Google . It's the successor of On2 VP3, which was the base of the Theora video codec.

### Example pipeline

    1
    gst-launch -v filesrc location=videotestsrc.webm ! matroskademux ! vp8dec ! xvimagesink

This example pipeline will decode a WebM stream and decodes the VP8 video.

## Details

### GstVP8Dec

    typedef struct _GstVP8Dec GstVP8Dec;

## Property Details

### The `"deblocking-level"` property

      "deblocking-level"         guint                 : Read / Write

Deblocking level.

Allowed values: <= 16

Default value: 4

### The `"noise-level"` property

      "noise-level"              guint                 : Read / Write

Noise level.

Allowed values: <= 16

Default value: 0

### The `"post-processing"` property

      "post-processing"          gboolean              : Read / Write

Enable post processing.

Default value: FALSE

### The `"post-processing-flags"` property

      "post-processing-flags"    GstVP8DecPostProcessingFlags  : Read / Write

Flags to control post processing.

Default value: Deblock|Demacroblock

## See Also

vp8enc, matroskademux